public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/pax/
Date: Mon,  7 Mar 2016 04:17:22 +0000 (UTC)	[thread overview]
Message-ID: <1457324225.2a7fdd67e7cae78ef37db299866d810e06b93f3c.vapier@gentoo> (raw)

commit:     2a7fdd67e7cae78ef37db299866d810e06b93f3c
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  7 04:03:06 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Mar  7 04:17:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a7fdd67

app-arch/pax: switch to MirOS version #537522

 app-arch/pax/Manifest            |  1 +
 app-arch/pax/pax-20160306.ebuild | 55 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/app-arch/pax/Manifest b/app-arch/pax/Manifest
index 559fd39..2d573c7 100644
--- a/app-arch/pax/Manifest
+++ b/app-arch/pax/Manifest
@@ -1 +1,2 @@
 DIST pax-3.4-12.fc16.src.rpm 171016 SHA256 b86ca0556b12600d3dd4777900baae5118e71ce9e026e42e3bb51aed23853932 SHA512 78704cd1b66288acdaa8fdf4ca0a97c12b1e843e024be4d3fac88a6b42049928c6bfe69a72a58a00a9bf755c23e1e8e0b7d30bc72ba08a83830495dd5f6d9be1 WHIRLPOOL 8a674356efa939ceff0f502de926688d81f17da48c98f24674a76f11043f420c33aa9f47eb66fb1e896ddc4ca4c64cec554d7397379d1ccc884bf02b37eb9b29
+DIST paxmirabilis-20160306.cpio.gz 147448 SHA256 4e36fabfabc01a15e0d01eee0306cef79a7f374586f46254dae139eb866ae81b SHA512 65c9613f235d973f23d829d87b93963f4b21beca4d7158abb8243f7f0ba8eb883544bbd0c16bde82f0e55ab2fbf33e3dfb155a50c0f5be3bf6d88eaf95e1037f WHIRLPOOL 5945f45cc69cfd25d7754a9b6b25db98170de2fc926ffe3a661402d95bc41517e40ff059998d682cc65e32fd7e70a78e222525012eb98dde54c1d67c0c6c2277

diff --git a/app-arch/pax/pax-20160306.ebuild b/app-arch/pax/pax-20160306.ebuild
new file mode 100644
index 0000000..1cfdaa4
--- /dev/null
+++ b/app-arch/pax/pax-20160306.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit unpacker toolchain-funcs
+
+DESCRIPTION="pax (Portable Archive eXchange) is the POSIX standard archive tool"
+HOMEPAGE="https://www.mirbsd.org/pax.htm"
+SRC_URI="https://www.mirbsd.org/MirOS/dist/mir/cpio/paxmirabilis-${PV}.cpio.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="dev-libs/libbsd"
+DEPEND="${RDEPEND}
+	$(unpacker_src_uri_depends)"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+	# Newer C libraries omit this include from sys/types.h.
+	sed -i '1i#include <sys/sysmacros.h>' extern.h || die
+}
+
+src_configure() {
+	tc-export CC PKG_CONFIG
+}
+
+src_compile() {
+	# We can't rely on LFS flags as it uses the fts.h interface which lacks 64-bit support.
+	set -- \
+		${CC} ${CPPFLAGS} ${CFLAGS} \
+		-DHAVE_STRLCPY -DHAVE_VIS -DHAVE_STRMODE \
+		-DLONG_OFF_T -DHAVE_LINKAT \
+		$(${PKG_CONFIG} --cflags libbsd-overlay) \
+		-Wall ${LDFLAGS} *.c -o ${PN} \
+		$(${PKG_CONFIG} --libs libbsd-overlay)
+	echo "$@"
+	"$@" || die
+}
+
+src_install() {
+	dobin ${PN}
+	doman ${PN}.1
+
+	dosym pax /usr/bin/paxcpio
+	newman cpio.1 paxcpio.1
+
+	dosym pax /usr/bin/paxtar
+	newman tar.1 paxtar.1
+}


             reply	other threads:[~2016-03-07  4:17 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-07  4:17 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-09-25 21:59 [gentoo-commits] repo/gentoo:master commit in: app-arch/pax/ Marek Szuba
2021-07-02  7:17 Sergei Trofimovich
2021-03-06 10:13 Sergei Trofimovich
2021-02-27 10:08 Sam James
2021-02-27 10:07 Sam James
2021-02-26 16:11 Sam James
2021-02-26 14:40 Agostino Sarubbo
2021-02-26 13:59 Sam James
2021-02-26 13:56 Sam James
2021-02-26 13:53 Sam James
2021-01-24 11:26 Sergei Trofimovich
2021-01-24 11:26 Sergei Trofimovich
2019-03-19 11:18 Andreas Sturmlechner
2018-12-29 15:26 Anthony G. Basile
2018-03-06 19:40 Markus Meier
2018-03-02 15:59 Tobias Klausmann
2018-02-27 20:31 Sergei Trofimovich
2018-02-18 19:48 Sergei Trofimovich
2018-02-10 20:52 Sergei Trofimovich
2018-02-09  8:39 Agostino Sarubbo
2018-02-07 20:16 Sergei Trofimovich
2018-02-07  6:09 Thomas Deutschmann
2017-12-07  5:36 Jeroen Roovers
2016-02-27 18:55 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1457324225.2a7fdd67e7cae78ef37db299866d810e06b93f3c.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox